Subject: PersistenceManager::getIdentifierByObject() only returns first Id property
Description

The doc comment for \TYPO3\FLOW3\Persistence\PersistenceManagerInterface::getIdentifierByObject() says, that the return type is
"mixed".
Usually that is the UUID of the object (string).
If the object has an @Id property, that will be returned insted.
In case the object has multiple @Id properties, only the first of those is returned.

Example:
Mode:

class ObjectPathMapping {

    /**
     * @var string
     * @Id
     */
    protected $objectType;

    /**
     * @var string
     * @Id
     */
    protected $uriPattern;

    /**
     * @var string
     * @Id
     */
    protected $pathSegment;
[...]
}

Now, only the value of $objectType would be returned. Instead I'd expect an array that contains the Id properties - or a serialized
representation!?

History
#1 - 2011-09-18 16:04 - Bastian Waidelich
BTW: It would make our life easier, if the return type would be fixed (e.g. string)

#2 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 - 2012-03-14 15:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9650

#4 - 2012-05-08 18:26 - Robert Lemke
- Status changed from Under Review to Needs Feedback
- Has patch set to No

#5 - 2014-05-14 16:57 - Bastian Waidelich
- Status changed from Needs Feedback to Closed

The related review has been abandoned. Closing until this has a valid use case
